> For the complete documentation index, see [llms.txt](https://docs.bisnode.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bisnode.ee/financial-information/listannualreport.md).

# listAnnualReport

## listAnnualReport

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/listAnnualReport`

Returns list of available annual report documents (PDF, XBRL, BDOC) from Äriregister.\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/listAnnualReport' --data '{` \
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",` \
&#x20;   `"reg_code": "10117826",` \
&#x20;   `"country": "EST"` \
`}'`

#### Query Parameters

| Name      | Type   | Description                             |
| --------- | ------ | --------------------------------------- |
| token     | string | Your access token (api key)             |
| reg\_code | string | Country registration number             |
| country   | string | 3-letter country code. Default is "EST" |

{% tabs %}
{% tab title="200 " %}

```
[
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2001",
        "description": "PDF document",
        "created_at": "2002-07-08"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "A",
        "annual_year": 2003,
        "description": "PDF document",
        "created_at": "2004-07-12"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2008",
        "description": "PDF document",
        "created_at": "2009-06-26"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2011",
        "description": "PDF document",
        "created_at": "2012-06-26"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "X",
        "annual_year": 2011,
        "description": "XBRL document",
        "created_at": "2012-06-26"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2000",
        "description": "PDF document",
        "created_at": "2001-05-28"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "A",
        "annual_year": 2002,
        "description": "PDF document",
        "created_at": "2003-07-03"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "A",
        "annual_year": 2004,
        "description": "PDF document",
        "created_at": "2005-07-01"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2005",
        "description": "PDF document",
        "created_at": "2006-07-03"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2007",
        "description": "PDF document",
        "created_at": "2008-04-29"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2006",
        "description": "PDF document",
        "created_at": "2007-06-28"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2009",
        "description": "PDF document",
        "created_at": "2010-06-02"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "X",
        "annual_year": 2009,
        "description": "XBRL document",
        "created_at": "2010-06-02"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2010",
        "description": "PDF document",
        "created_at": "2011-06-20"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "X",
        "annual_year": 2010,
        "description": "XBRL document",
        "created_at": "2011-06-20"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2012",
        "description": "PDF document",
        "created_at": "2013-06-19"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "D",
        "annual_year": 2012,
        "description": "DDOC\/BDOC container",
        "created_at": "2013-06-19"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "X",
        "annual_year": "2012",
        "description": "XBRL document",
        "created_at": "2013-06-19"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2013",
        "description": "PDF document",
        "created_at": "2014-06-18"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "X",
        "annual_year": "2013",
        "description": "XBRL document",
        "created_at": "2014-06-18"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2014",
        "description": "PDF document",
        "created_at": "2015-06-15"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "X",
        "annual_year": "2014",
        "description": "XBRL document",
        "created_at": "2015-06-15"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2015",
        "description": "PDF document",
        "created_at": "2016-04-06"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "D",
        "annual_year": 2015,
        "description": "DDOC\/BDOC container",
        "created_at": "2016-04-06"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "X",
        "annual_year": "2015",
        "description": "XBRL document",
        "created_at": "2016-04-06"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2016",
        "description": "PDF document",
        "created_at": "2017-06-26"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "D",
        "annual_year": 2016,
        "description": "DDOC\/BDOC container",
        "created_at": "2017-06-26"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "X",
        "annual_year": "2016",
        "description": "XBRL document",
        "created_at": "2017-06-26"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2017",
        "description": "PDF document",
        "created_at": "2018-07-11"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "D",
        "annual_year": 2017,
        "description": "DDOC\/BDOC container",
        "created_at": "2018-07-11"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "X",
        "annual_year": "2017",
        "description": "XBRL document",
        "created_at": "2018-07-11"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "A",
        "annual_year": "2018",
        "description": "PDF document",
        "created_at": "2019-06-21"
    },
    {
        "country": "EST",
        "reg_code": 10117826,
        "doc_type": "D",
        "annual_year": 2018,
        "description": "DDOC\/BDOC container",
        "created_at": "2019-06-21"
    },
    {
        "country": "EST",
        "reg_code": "10117826",
        "doc_type": "X",
        "annual_year": "2018",
        "description": "XBRL document",
        "created_at": "2019-06-21"
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bisnode.ee/financial-information/listannualreport.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
